/****************************************************************************
*
*     Module Filename:  List_In_Namespace.cpp
*     Module Name:      
*     Description:      Source file to enable Dave Nugent's List program to
*                       be used within a namespace without changing the original
*                       source for the List class
*     Author:           Chris Gordon-Smith
*
*     Copyright (C) 2003, 2005, 2006, 2008 Chris Gordon-Smith
*     http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License Version 2, as published 
*     by the Free Software Foundation.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*	  Amendment History:-
*
*	  Amendment History:-
*
*     Version    Date               Update Description
*     =======    ===========        ==================
*
*
*
*
****************************************************************************/

//  Dave Nugent's list is placed in a namespace, so must use that namespace
//  when compiling.

namespace DN{
#include "list.hpp"
#include "list.cpp"
}
